Manual REBEL GOLD Contents

Preface and user definitions.
          
Ch. 1: INSTALLATION
      1.1. System requirements
      1.2. The installation
      1.3. Files and directories after installation
      1.4. The REBEL.CFG file
      1.5. Hints for system optimization
      1.6. The README file

Ch. 2: REBEL SCREEN (Not available in this manual)
	
Ch. 3: THE FIRST GAME
      3.1. Move input
      3.2. Manipulating moves
      3.3. Changing the chess program (briefly)
      3.4. Leaving the program

Ch. 4: GENERAL RULES FOR OPERATION
      4.1. Moving pieces for keyboard users
      4.1. Using the pulldown-menus
      4.3. Using the buttons
      4.4. Using Hotkeys
      4.5. Loading and saving files
           4.5.1. Loading files
           4.5.2. Saving files
           
Ch. 5: INFLUENCING THE CHESS ENGINE
      5.1. Changing the chess engine of REBEL GOLD
      5.2. The different time levels under LEV F2
      5.3. The different options under OPT F3
           5.3.1. Permanent brain 
           5.3.2. Brute force
           5.3.3. Combination
           5.3.4. Selection
           5.3.5. Playing style
           5.3.6. Easy play    
           5.3.7. Hashtables    
      5.4. Book openings
           5.4.1. Loading opening books (BOOKS F5)
           5.4.2. Book opening on/off (CFG F6)

Ch. 6: DATABASE
      6.1. Database loading and saving
      6.2. Loading a game (DAT F5)
      6.3. Loading next game (DAT F5)
      6.4. Saving a game (DAT F5)
      6.5. Rewrite a game (DAT F5)
      6.6. Delete a game (DAT F5)
      6.7. Reorganisation (DAT F5)
      6.8. Search functions (DAT F5)
           6.8.1. Searching by name
           6.8.2. Searching by text 
           6.8.3. Searching by moves    
           6.8.4. Searching by position
      6.9. Overviews (DAT F5)
           6.9.1. Complete overview   
           6.9.2. Overview top 40 by percentage
           6.9.3. Overview top 40 by ELO-rating 
           6.9.4. Overview of tournaments
           6.9.5. Overview of matches     
           6.9.6. Overview of book openings
      6.10. Creating a new and empty database (DAT F5)
            
Ch. 7:  SCREEN SETTINGS
       7.1. Changing names (CFG F6)
       7.2. Info (CFG F6)
       7.3. Show hint (CFG F6)
       7.4  Figurines or text
       7.5. Show teacher (CFG F6)
       7.6. Resign on/off (CFG F5)
       7.7. Turn board (CFG F6)
       7.8  Drag Pieces or Click on squares (CFG F6))
       7.9. Load piece sets (CFG F6)
       7.10. Animation (CFG F5)
       7.14. Languages (CFG F6)
       7.15. Sound on/off (CFG F6)
       7.16. Smaller font pulldown (CFG F6)
       7.17. Save settings (CFG F6)
       7.18. Original settings (CFG F6)
       7.19. The comment field

Ch. 8: SETTING UP POSITIONS (POS F1)
       8.1. Set up a position (POS F1) 
       8.2. Make board empty (POS F1)
       8.3. Abort set up (POS F1) 
       8.4. White/black to move (POS F1)

Ch. 9: Book functions
       9.1  Create opening book from a database
       9.2  The Rebel opening book editor
            9.2.1  Preface
            9.2.2.a  Load Userbook
            9.2.2.b  New Userbook
            9.2.3  Remove variation
            9.2.4  Change priority
            9.2.5  Add Variation
            9.2.6  Save User books
            9.2.7  Hints
       9.3  Import external books
       9.4  Joining REBEL books

Ch. 10: REMAINING OPTIONS
       10.1. Analysis mode (LEV F2)
       10.2. Player-Player mode (OPT F3)
       10.3. Automatic play (OPT F3)
       10.4. Analyse game (OPT F3)
       10.5. Analyse database (OPT F3)
       10.6. Goto move number (OPT F3)
       10.7. Search for move (OPT F3)
       10.8. Replay game (OPT F3)
       10.9. Write move comments (OPT F3)
       10.10. Remove move comments (OPT F3)
       10.11. Game to textfile (OPT F3)
       10.12. The Mephisto Board (OPT F3)
              10.12.1. Moving a piece on the Mephisto Board
              10.12.2. Mephisto Board ON/OFF
       10.13. Auto 232 (OPT F3)
       10.14. Starting game (DAT F5)
       10.15. Swapping clocks
       10.16. Swapping names
       10.17. The four clipboards

Ch. 11: COLORS (CLR F7)
       11.1. Set colors
       11.2. Reset colors (CLR F7)
       11.3. Save colors (CLR F7)
       11.4. Load colors (CLR F7)
       11.5. Standard colors (CLR F7)

Ch. 12: TROUBLE-SHOOTING
       12.1. AUTOEXEC.BAT problems
       12.2. Missing files

Ch. 13: SHORT HISTORY



PREFACE AND USER DEFINITIONS.

Dear reader,
 
Welcome to the growing number of chess players who want to take
advantage of the PC. By obtaining REBEL GOLD you have made a good choice in 
the area of computer chess software. Not only because the chess programs from
Ed Schrder belong to the group of the strongest programs available, but also
because of the fact that this program combines good chess with an built-in
database which will give you so much new and extra possibilities, that we are
convinced that you will appreciate the possibilities of your PC more and more,
but also, and that is of course the main point, you will even more enjoy the
game of chess.
        
The REBEL team from Schrder BV.

USER DEFINITIONS
          
COPYRIGHT
The REBEL GOLD software is the exclusive property of Schrder BV and 
is protected by Dutch and International law. You are prohibited from
transferring this product in any way or form whatsoever.
It is forbidden to change, split, dissamble or produce any changed
form of this product.

LIMITED WARRANTY
The media upon which the program is recorded is warranted to be free
from defects for the standard guarantee specified by legislative
regulations. The warranty is void if the failure of the media is due
to accident, abuse or misapplication. Apart from this warranty
Schrder BV or his suppliers will not in any event be liable for any
loss, including consequential loss, caused by any error or defect
howsoever arising. In any case liability shall be limited to the 
amount actually paid by the purchaser for the software.

These conditions are governed by Dutch and international law.

Ch. 1: INSTALLATION

1.1. System requirements
The following PC specifications are required:
80386-processor or higher, VGA-card and monitor, minimum 2Mb internal memory, 
a hard disk with at least 2 MB free space, a CD-Rom player and MS-DOS 4.0 or
higher.
Recommended is an extern disk-caching program (128 or 256 Kb).
This is especially desirable when using the database options.
        
1.2. The installation
* put the CD-Rom in the CD-drive of your PC;
* activate the drive (type for example "d:" + ENTER)
* type "install" + ENTER
* the screen will show you the default settings and will ask you for
  confirmation. 
* if you answer with "Y" the program will start the installation.
* answering "N" allows you of changing the settings.

1.3. Files and directories which must be present after installation

Files
* REBEL.EXE : the chess program
* REBEL.CFG : the user settings (see chapter 1.4)
* REBEL.CLR : color settings
* REBEL.BGN : information about the game you were in the last time 
              you used REBEL GOLD
* REBEL.TRL : the language file
* REBEL.GIF : the welcome screen (picture)
* BOOK.TRL  : the names of the book openings in available languages
* BOOK.TRX  : the corresponding moves with the BOOK.TRL file
           
 Directories
* BOOKS containing 3 book opening files:
 1. REBEL.MVS (400.000 moves)
 2. SMALL.MVS (100.000 moves)
 3. KASPAROV.MVS (100.000 moves)
* GAMES containing 4 databases:
 1. GAMESBASE:  containing more than 1000 (grand)master games.
 2. TACTICS  :  50 tactical positions with full explanation
 3. BT-2450  :  30 positions of the well-known BT-test in order to test 
                the strength of the computer
 4. BT-2630  :  the latest BT-test for strong programs
* PIECES contains three different piece sets: REBEL, CREATIVE and BLOCK.PCS

Trouble-shooting in the event that certain files are missing.
No REBEL.CFG: the program will automatically take the default values
              after installation
No REBEL.CLR: the program will automatically take the default color values
              after installation
No REBEL.BGN: the program will start up with a new game
No REBEL.TRL: the program will stop, restore this file from your CD-Rom
No REBEL.MVS: you will be prompted with a warning message, you will then 
              have the choice to either stop or to play on without an
              opening book
No REBEL.PCS: the program will stop, restore this file from your floppy-disk
No REBEL.GIF: the program will stop, restore this file from your floppy-disk

Should the program stop, you will have to restore the missing file(s)
from your CD-Rom again.
          
1.4. The REBEL.CFG file      
The REBEL.CFG contains the following user settings
* name (and path) of the current opening book
* name (and path) of the current database
* name (and path) of the current piece set
* turn board yes/no
* opening book on/off
* tournament book on/off
* user book on/off
* used language
* sound on/off
* show material yes/no
* show hint move yes/no
* show teacher yes/no
* resign yes/no
* small font menu on/off

The fundamental choice is made NOT to save any changed settings of the
chess program. This means in practise that if you start REBEL GOLD the
program automatically plays with the strongest settings.
An exception is made for the time level. This information is saved
in the REBEL.BGN file.

1.5. Hints for system optimalization
To obtain the fastest results with the databas, we advise you stongly the use
of disk-caching programs, such as Smartdrive or Norton Cache, since these
extremely speedup your Harddisk.
We have noticed an increase of disk speed of 400% using Smartdrive and
even an increase of 900% using the Norton Speedcache from Symantec by certain 
overviews in a big database.

1.6 README-file
A readme-file that will give you more detailed information about some aspects
and options of the program is available.
This README-file also contains lots of valuable hints and examples
about the use of the program.


Ch. 3: THE FIRST GAME 

If you want to play a game with white, just input the desired opening move and
the computer starts calculating its move.
If you wish to play with black, click the REBEL button, or press ALT_M.

3.1. Move input
You can input a move in different ways.
1) Click with the mouse on the piece you want to move.
   Click with the mouse on the square you want to go to.
2) Use the cursor keys to go to the square where the piece you want to
   move resides, and press ENTER. Drag the piece with the cursor keys to the
   square you want to go to, and press ENTER again.
3) Type the coordinates of the move in 4 characters. 
   For example type e2e4.        

You can use variations of these three systems if you wish.
If your move is legal, the piece is moved and the computer will start
evaluating it's own move.
4) If the indicated hint move is also your choice then you can speed up the
   input of that move by clicking on the hint move with the mouse. 
   Keyboard users can use ALT_H.
5) Mouse users can make use of the following quick input procedure:
   If the comment field contains hint moves from the opening book,
   then clicking on those moves will also execute them.
6) If you want the computer to play another book move, press F10.
   This is the so-called next best function and is only active  when the
   computer knows the current position from its book.
              
3.2. Manipulating moves 
The buttons provide you with a number of possibilities to manipulate the 
moves (for details, see 4.3)
Button    <<    fast takeback 3 moves
Button    <     takeback  move
Button  REBEL   force program to start calculating it's move, or if that is 
		already the case, force the program to play the best move 
                so far.
Button    >      move forward
Button    >>    3 moves forward

Mouse users have the possibility to click on any move in the Move section, for
super fast takeback! By accessing menu OPT F3, you can also go to specific
moves (see 10.6, 10.7).

3.3. Changing the chess program (briefly)
In this chapter we briefly indicate the possibilities for changing
the evaluations of the program. For more details, we refer to chapter 5.   
* You can change the average time the computer uses to calculate a
  move via LEV F2.
* You can change the program's thinking depth, the memory it uses,
  and the thinking when you are on the move via OPT F3.
* You can change from which opening book you want to play or cancel
  the opening book completely via CFG F6 and BOOKS F5.
             
3.4. Leaving the program
You leave the program by accessing START F1 Back to Dos or by 
pressing ALT_X or by using the Quick Exit Button in the upperleft corner
of your screen. If you have changed any of the user settings, the program 
will ask you if you want to save it or not. 

           
Ch. 4: GENERAL RULES CONCERNING OPERATING

Basically you can go back to the game by pressing ESC wherever you are in the
program or by clicking in the upperleft corner of the screen.
        
4.1. Moving pieces for keyboard users
Use the cursor keys to go to the square where the piece you want
to move resides, and press ENTER. Drag the piece with the cursor keys 
to the square you want to go to, and press ENTER again.
PG-UP  square sloping right above
PG-DWN square sloping right down
       
4.1. Using the pull-down menus
The use of the 7 pull-down menus is similar to Windows.
There are two ways to operate them: clicking without holding the 
mouse, and clicking when holding the mouse.
If you click the mouse on one of the menus, the functions in the particular 
menu will appear on your screen. Make your choice by clicking on one of the 
functions inside the menu. If you click on a menu by holding the mouse you 
can drag the mouse to the desired function in the menu. If you release the 
mouse the function will be executed immediately. In this case, the scroll bar
will follow the mouse movements.
Keyboard users can access the pull-down menus with the F1 to F7 buttons. 
The cursor keys will move the scroll bar to the desired function. 
Some functions in the pull-down menus have sub-menus, displayed as 
 or . You can access them by moving the mouse to the given 
direction. Keyboard users can use the cursor keys.
      
4.2. Using the buttons
You can operate the buttons by a short click with the mouse and the
button will light up shortly. 
Keyboard users can use the corresponding Hotkeys.

Button Functions
  <<      Takeback three moves (Hotkey ALT_B) 
  <       Takeback a half-move (Hotkey "-")
 REBEL    Force the program to calculate a move or, if the program is already
          calculating, force the program to move. (Hotkey ALT_M). 
          This button will change into GAME in the analysis level which will
          allow you to restore to the moves that were current before you 
          started analysing.
          This button will change into EXIT while analysing a game or a 
          database and allows you to abort the analysis to return to the 
          current game.               
  >       Move forward a half-move (Hotkey "+")
  >>      Move forward three moves (Hotkey ALT_F)                
  [G]	New game
  [L]	Load game
  [N]	Load next game
  [D]	Load database
  [S]	Save game
  [P]	Look for current position in database
  [C]	Enter book-editor (if userbook is loaded!)
  [1]	with left mouse button: load game from clipboard 1 
          with right mouse button: save game to clipboard 1
  [2]	with left mouse button: load game from clipboard 2
          with right mouse button: save game to clipboard 2
  [3]	with left mouse button: load game from clipboard 3
          with right mouse button: save game to clipboard 3
  [4]     with left mouse button: load game from clipboard 4
          with right mouse button: save game to clipboard 4
   

4.4. Using Hotkeys
Several Hotkeys are available, mostly based on pressing the ALT
button simultaneously with another key. Using hotkeys will result in a faster
and more convenient way of operating the program.

Overview
 ALT_B  = button <<
  "-"   = button <
 ALT_M  = button REBEL or, when in the database, swap display between 
          text and the three next moves.
  "+"   = button >
 ALT_F  = button >>
 ALT_G  = POS F1-new game
 ALT_X  = POS F1-back to DOS
 ALT_L  = DAT F5-load game
 ALT_N  = DAT F5-load next game
 ALT_I  = DAT F5-game info when a game is loaded.
 ALT_T  = If the teacher function is active, this will swap the current   
	  information in the comment field with the teacher info results.
          Within the database ALT_T will write to a text file.
 ALT_H  = Execute hint move if present.
 ALT_C  = Enter book-editor (if userbook is loaded!)

 ALT_1   = Load game from clipboard 1
 SHIFT_1 = Save game to clipboard 1
 ALT_2   = Load game from clipboard 2
 SHIFT_2 = Save game to clipboard 2
 ALT_3   = Load game from clipboard 3
 SHIFT_3 = Save game to clipboard 3
 ALT_4   = Load game from clipboard 4
 SHIFT_4 = Save game to clipboard 4

 PG-UP   = take back number of displayed moves 
 PG-DOWN = go forward number of displayed moves  
 END     = go to end of game
 HOME    = go to start of game
 
      
4.5. Loading and saving files

4.5.1. Loading files
DAT F5-load database. With this option you load/select another database.
BOOKS F5-load book. With this option you load/select another opening library.
BOOKS F5-load userbook. With this option you load/select another userbook.
CFG F6-piece set. With this option you load/select another piece set. 
CLR F7-load colors. With this option you load/select another color setting. 
The default directories and filenames of the database, opening library , user
book, color setting and piece set will be saved in the REBEL.CFG file. 
The move section will change in an alphabetic overview of the present 
subdirectories and files in the current selected directory.
By clicking on (sub)directories and harddisk(s), you can have access to
any file. Floppy drives are not available for loading and saving files in 
the REBEL program. You can easily load the desired file by clicking on it.
Keyboard users have to confirm their choice with pressing the ENTER key. For
fast scrolling a scrollbar is availbale for mouse users in addition to the
overview. Keyboard users can use the PG-UP, PG-DWN, HOME and END keys for this
purpose.
In the level section all available harddisks are displayed, for keyboard user
accessable with the left and right arrow keys.
To leave the option, press ESC or click outside the menu.

4.5.1. Saving files
Used in the following functions:
* OPT F3-game to text file;
* OPT F3-analyse database if the file ANALYSE.DAT already exists;
* BOOKS F4-new userbook;
* BOOKS F4-save userbook;
* DAT F5-create new database;
* DAT F5-overviews;
* CFG F6-save settings;
* CLR F7-save colors.
In all cases you will be prompted to type a filename of your choice.
You are obliged to input a valid DOS file name. The program will warn
you if the filename is not valid. In case the file name already exists,
the program will ask for a confirmation to overwrite the existing file.
              
Ch. 5: INFLUENCING THE CHESS ENGINE

5.1. Changing the chess engine of REBEL GOLD
You can change the chess engine of the program in many ways.
Since the program always starts with the strongest settings, this 
means that every change you make will result in weakening the program.

5.2. The different time levels under LEV F2
At the start of the program, the playing level is taken from the
last time you used the program. By changing the level of play, you 
can make the program stronger or weaker. The general rule is: 
The more time you give to the program, the stronger it will play.

Overview
TIME       The program will play on the selected average time.
BLITZ      Play a game with a fixed amount of time. The program will warn 
           you if you exceeded the time limit. In this case you have lost 
           the game. You can see your remaining time in the time section.
HANDICAP   Same as BLITZ, but now you can reserve more time for yourself 
           and less for the computer. You can see your remaining time in 
           the time section.
TOURNAMENT Play a game on a desired tournament level.
           The program will warn you if you exceeded the time limit. 
           In this case you have lost the game.
           After the time control(s), you will receive the extra time needed.
           You can see your remaining time in the time section.
PLY        Let the program play on a fixed (ply) depth.
MATE       A special level for solving difficult Mate problems.
           The program will ONLY search for a possible move sequence to 
           achieve checkmate. If a mate is not possible at the current board
           position, the program will display: "No mate possible" and no 
           move is being given by the program.
USER       Same as TIME, but now you can define your own favourite level of
           play. You will be prompted to type the desired time. Type for 
           example 00:25 and the program will play at an average time of 
           25 seconds pro move.
INFINITE   The program will continue evaluating until you stop it 
           (i.e. with the REBEL button) or when a mate is found, or when the
           maximum ply depth is reached.
ANALYSIS   For this special level we refer to chapter 9.1.
 
5.3. The other options under OPT F3
OPT F3 contains a number of possibilities to change the chess
engine of the program.

5.3.1. Permanent brain 
With this option you can prevent the computer from thinking while
it is your time to move. This will make the program weaker of course. 
If the permanent brain is active, the computer will take full advantage 
while you are thinking about your move.

5.3.2. Brute force
Brute force is a specific method for computer chess. If brute force is active,
all possible positions will be evaluated, without regard to if they are good or
bad. The main advantage is that there is no risk that the computer will overlook
a move. The default setting, however, is not active. The program will now use
the selective method in which only the good moves will be evaluated. This will
speed up the search time such that the final results will be much better than
when brute force is active.

5.3.3. Combination
If combination is on, the program generally will find the right moves in
tactical positions quicker than when combination is off. By default, this option
is turned off, because it influences the program too much in normal play.

5.3.4. Selection
The program (when brute force is off) has it's own intelligent flexible
algorithm to decide if a given variation should be extended or not. This is
called "selection" and is based on a judgement by the program whether it makes
sense to extend a given variation or not. With this option you can turn off the
program algorithm and change it into a fixed depth of selection. You will have
the choice between 1 through 9. "N" is the default setting meaning Normal. 
If you were to choose selective 4, while the program was, for example,
on the 9e ply, this would mean that the calculations were done with the
settings: 5 ply brute force and 4 ply selective thereafter.
With Normal the whole selection scheme is totally flexible.

5.3.5. Playing style
You have the choice of 5 different playing styles ranging from agressive to
defensive. In the pull-down menu the actual playing style is displayed by the
corresponding uppercase letter.

5.3.6. Easy play
There are 3 levels of playing strength. If you select the novice option
here, you have the best possibility to beat the program.
In the pull-down menu the actual playing style is displayed by the corresponding
uppercase letter.
        
5.4. Book openings
      
5.4.1. Loading opening books (BOOKS F4)
At the start of the program, the book and the userbook found in the REBEL.CFG
will be loaded.
With these option you can switch to other opening and user books. 
For loading see chapter 4.3.1.
      
5.4.2. Book opening on/off (CFG F6)
With CFG F6-opening book, you can decide whether the computer is allowed to
use his opening book or not. If not, the program won't search for a move in 
its opening book and therefore the program will start the evaluation process
immediately, even at the first move of a new game.
This applies too for the tournamentbook and userbook.        
If you play from the opening book, the comment section will show you
which moves  are still available for the current position.
Additionally, the program knows about 300 openings by name. If the program
recognizes a variation, it will display the corresponding opening name in the
comment section.



Ch. 6: DATABASE

When you are currently processing databases from your CDrom drive some options
are not active because of the fact that WRITING to CDrom is not possible.

6.1. Database loading and saving
At the start of the program, the database found in the REBEL.CFG will be loaded.
You can switch to another database at any time (see DAT F5-load database,
chapter 4.3.1). The database uses files with the extensions DAT, IX1 and IX2.
Should you try to load a database while one of these files is missing, you will
be warned by an error message. You will also get an error message if you try to
create a new database with a name that already exists.              

6.2. Loading a game (DAT F5)
If you decide to load a game from the database, you'll get a new screen on 
which the first 20 games of the database (alphabetically ordered) are visible.
To view the next games in the database, you have two possibilities:
* You click on top of the screen on  (or the PG-DN key) and the
  next 20 games will appear (with  (or the PG-UP key) you can scroll 
  back for 20 pages);
* You click on top of the screen on the letter of the alphabet
  (or the corresponding key) and again 20 games become visible,
  starting with the selected letter.

Instead of the information in the Place columm, you can also get the information
of the next three moves. Click on Place and the program will show the moves.
Keyboard users can use ALT_M.
In the comment section, extra information of the game where the scroll 
bar is on, is available.
You can load a game by clicking on the desired game or by selecting
a game with the arrow keys and confirming it with the ENTER key.
           
6.3. Loading next game (DAT F5)
DAT F5-next game (or ALT_N) will load the next game available in
the database. All selections previously made will be taken into account. This
means practically that, if you have selected to see all the games of Nigel
Short, this function will load the next game of Nigel Short.
           
6.4. Saving a game (DAT F5)
You will be prompted to input some data belonging to the game to be saved
(names, ELO, date, result, some additional text).
Attached to the complete game (moves and move comments), this information will
be saved into the database. All items will be pre-filled (see the default bar).
With ENTER the information will be accepted. With SPACE all the information 
on the line the cursor is blinking will be cleared. If you want to change 
an item, simply type the desired information and press ENTER.

overview
NAME WHITE  :  a maximum of 20 characters. You are obliged to input a name.
               If you type nothing, the name will become Player as default.
NAME BLACK  :  a maximum  of 20 characters. You are obliged to input a name.
	       If you type nothing, the name will become REBEL GOLD 
ELO WHITE   :  the ELO-rating of the white player, this is not obliged, but
	       it is recommanded for the overviews (see  chapter 6.8).
               An ELO-rating between 1000 and 3400 will be accepted.
ELO BLACK   :  see ELO white.
PLACE       :  not obliged, maximum 39 characters.
DATE        :  not obliged, you can either input an exact date or a year.
	       Examples: 1995, 120795, 12-7-95 or 12-07-95
TOURNAMENT  :  not obliged, maximum 39 characters.
RESULT      :  not obliged, but is recommended for the overviews
	       Examples:
               White wins type 1-0 , 1 or simply +
               Black wins type 0-1 , 0 or simply -
               Draw  type  - , , 0.5 , or simply =
COMMENT     :  not obliged, maximum 72 characters, this is not a move comment 
	       but a game comment.
              
6.5. Rewrite a game (DAT F5)
The loaded game will be overwritten by the current game.
The original data of the loaded game will be lost. This function is especially
useful if you want to make some  (minor) changes to existing games, without the
need to delete the old game.

6.6. Delete a game (DAT F5)
You can select the desired game to be deleted in the database as
described in chapter 6.1. For reasons of security, you will be 
prompted should you indeed wish to delete the selected game.

6.7. Reorganisation (DAT F5)
Activating reorganisation will force the program to sort the entire database 
by name. Additionally, all deleted games will be permanently removed from the
database, thus increasing your free diskspace. Reorganisation is only useful 
if you have added or deleted games. 
Before starting the reorganisation, REBEL GOLD will first inform you 
whether it makes sense to reorganise, by displaying how many bytes of free 
diskspace will be gained. There are other advantages in reorganisation: some 
search functions will be performed quicker, searching on moves, positions or 
text wil show the games alphabetically.
Depending on the size of the database, the reorganisation will take some time.
When reorganising, a temporary (and invisible) file will be created. If your
harddisk contains insufficient space, reorganising is impossible.

6.8. Search functions (DAT F5)
      
6.8.1. Searching on names 
You can input either one or two names here, both of which will be searched for
in the database. If you have typed just one name, the program will search for
all the games from that player. If you have typed two names, the program will
search for all the games played between those two players. This function works
via the famous BTREE+  principle and will select games  from a database of
1.000.000 games for example within seconds.

6.8.2. Searching on text  
First you will have the choice to decide which search criteria you wish to use.
The criteria are based on the and-and principle.
If you select a name, a date and a result, REBEL GOLD will search for those
game(s) which contain that name, that date and that result. 
This can take some time depending on your hardware, the size of the database and
whether you have loaded a disk-caching program or not  (see also chapter 1.5).
If you have only selected names, the program will perform a quick search on
names (see 6.8.1). 
Overview     
NAMES :  optional, not obliged
DATE  :  optional, you can only input a year
TEXT  :  optional, maximum 39 characters
SCORE :  optional, see chapter 6.4
           
6.8.3. Searching on moves    
The program will search for games containing the exact moves of the currently
played game on the chessboard. This function is very useful for opening
preparation.
           
6.8.4. Searching on positions
The program will search for games with exactly the similar position as the one
on the chessboard. REBEL GOLD will automatically recognize move 
transpositions, if relevant. This means that games started with "1.d4 d5 
2.Nf3" and "1.Nf3 d5 2.d4" are similar to this search function. This function 
is very useful for opening preparation.

6.9. Overviews (DAT F5)
There are six different overviews available. The contents of these overviews 
can be written to a text file by clicking on the TXT button in the info
section (ALT_T for keyboard users).

6.9.1. 
You will get a complete overview of all players in the database and their
results. All games played, with regard to their results, will be taken into
consideration and will lead to a new ELO rating of a given player in the
database. The meaning of the three ELO ratings is as follows: 
ORIGINAL : start ELO rating of a player.
AVERAGE  : avarage ELO rating of the opponents the player has played against.
NEW      : the new calculated ELO rating for this player.
           
6.9.2. Overview top 40 on percentage
You will get an overview of the best 40 players in the database, based on the
results of the games. The 40 players with the highest percentage will be
displayed. With PG-UP / PG-DWN you can switch between the two pages.
           
6.9.3. Overview top 40 on ELO-rating 
You will get an overview of the best 40 players in the database, based on the
new ELO results of the players. The 40 players with the highest ELO rating will
be displayed. With PG-UP / PG-DWN you can switch between the two pages.

6.9.4. Overview of tournaments 
You will be prompted to input the desired tournament (or a part of it). The
program will gather all the games played in this tournament and will sort the
results.
           
6.9.5. Overview of matches     
You will be prompted to input two player names.
The program will gather all the games both players have played and will show the
results. The games between those two players are also taken into consideration
and the final result will be displayed. This function is very useful if you 
want to know the results of matches played between two players.        

6.9.6. Overview of book openings
This function is useful:
* If you wish to see a full overview of the database concerning all the book
  openings played (make no selections)
* If you want to prepare yourself on a certain opponent (make a selection on
  the white or the black player name).
You will be prompted to make the desired selections for which to search for in
the database. The output is based on the generally known names of the book
openings played. You can only select one name, white or black, the program will
search for the desired player and colour.
        
6.10. Create a new and empty database (DAT F5)
With this option you can create your own desired database, for example in order
to collect (your own) games of the chessclub you are playing.


Ch. 7: SCREEN SETTINGS

With REBEL GOLD you can choose which information you want on the screen.

7.1. Changing names (CFG F6)
Here you can change the name of the white player, as well as the name of the
black player. The cursor will flash in the name section and you can type the
desired white or black name (maximum 20 characters).
When a game is loaded from the database with names longer than 20 characters,
only the first 20 characters will be displayed.
           
7.2. Info (CFG F6)
You can only switch this function on or off.
If show material is active, it shows you, in the material section, what the
material difference is on the board. You can see at one glance for example if
you are a pawn down or up.
If show material is not active, the space of the material section will be used
to make the move section bigger.

7.3. Show hint (CFG F6)
You can only switch this function on or off.
If show hint is active then REBEL GOLD will show you a move suggestion (if
available) right above the REBEL button. Clicking on this move will execute the
move immediately (ALT_H for keyboard users).
If show hint is not active, the screen space will be used to make the move
section bigger.

7.4  Figurines or text
With this option you can configure how the moves of the game are displayed in
the game window:
 	Piece-icons	The moves are displayed with figurines.
 	Characters	The moves are displayed with K/Q/R/B/N

7.5. Show teacher (CFG F6)
You can only switch this function on or off.
If teacher is active, REBEL GOLD will show you how the program judges the 
current position. Mouse users Click in the info section and the teacher 
information will appear. Clicking in the info section again will show you the
previous information. Keyboard users use ALT_T here.
Four remarks about important squares of the current positions are given in the
left columm. In the right columm, a more text-based judgement is given of
important aspects of the current position. For a more detailed explanation, 
we refer you to the README-file.

7.6. Resign on/off (CFG F6)
This allows REBEL to resign or not but REBEL will never give up during a 
blitz-level, handicap-level, infinite-level and analysis. 
REBEL only resigns once in a game. By deactivating and activating again 
however REBEL will resign again if appropriate.

7.7. Turn board (CFG F6)
This option will give you the choice to turn the chessboard 180. This will 
give you the opportunity to play a game with the black pieces in front.

7.8  Drag Pieces or Click on squares (CFG F6))
By clicking on Drag Pieces or Click on squares you can decide yourself which
system of move input you prefer.
Drag Pieces      While clicking a piece, the mousecursor will change into the
                 piece and you must drag the piece to the destination square.
Click on Squares While clicking a piece, the mousecursor will not change and
                 a second click on the destination square will finalize the 
                 move input.

This function is NOT available if you do not have a VESA compatible card. In
this case Rebel will only accept Click on Squares.

HINT
Try both systems and judge yourself what is convenient for you. Please note 
that Click on Squares is a faster way of inputting moves and this is 
especially handy on blitz games.

7.9. Load piece sets (CFG F6)
The program contains three different piece sets.
With this option, you can load your favourite piece set.

7.10. Animation (CFG F5)
There are three animation levels:
a) None
This level is strongly advised when your VGA-cart is not VESA- compatible.
The pieces will not move over the board, the mousecursor will not change into the selected piece and pop-upmenu's will appear at once.
b) Usual
The pieces now will move visually over the board when REBEL moves, the  mousecursor will change into the selected piece and pop-upmenu's will appear like a real "pop-up".
c) Fast	
Same as b, but faster.

7.11. Book opening on/off (CFG F6)
With CFG F6-opening book, you can decide whether the computer is allowed to 
make use of its opening books or not. If not, the program won't search for a 
move in its opening books and therefore the program will start the evaluation
process immediately, even at the first move of a new game.    
If you put this option off automatically the tournementbook and the userbook 
will be switched off. 
Hereafter however it is possible to activate the tournementbook and/or the 
userbook without activating the normal book.

7.12. Tournementbook on/off (CFG F6)
With CFG F6-tournement book, you can decide whether the computer is allowed 
to make use of the internal tournement book or not. 
The tournementbook only contains good variations for REBEL. When the 
tournementbook is turned off only REBEL.MVS (which is a much broader book) 
will be consulted which will result in a much more varied game.

7.13. Userbook on/off (CFG F6)
With CFG F6-user book, you can decide whether the computer is allowed to make
use of the userbook if loaded.

7.14. Languages (CFG F6)
The program can be operated in several languages. With this option you can
choose one of these languages.
All present information on the screen will be given in the chosen language.
       
7.15.  Sound on/off (CFG F6)
This will give you the possibilty to turn on/off the PC's internal speaker.

7.16  Smaller font pulldown (CFG F6)
With this option you can reduce or enlarge the size of the pulldown menu and its characters.

7.17. Save settings (CFG F6)
If you have made some changes and you want REBEL to start with these changes
each time, you can save these settings with CFG F6-save settings.

7.18. Original settings (CFG F6)
With this option the program will return to its default settings.

7.19. The comment field
The comment field is used for several purposes:        

A) Information of the calculation results of the program in four lines.
The first three lines contain the main variations that REBEL GOLD finds 
best for the given position. The fourth line shows some information about the
evaluation status at that moment.

EXAMPLES:
1) The fourth line could be:
   09:23  10.22 (43)  b5xa4 Pos/sec: 12.234 (3.890.345 pos. evaluated)  
   which tells you the following:
   - The program has used 9 minutes and 23 seconds so far.
   - The program performs a search depth of 10 ply's.
   - The program has already evaluated 22 moves of the 43 legal 
     possibilities of the tenth ply.
   - The program is now evaluating the move b5xa4.
   - The program has evaluated 12.234 positions in the previous second.
   - The program has evaluated 3.890.245 positions in total.    

2) One of the first three lines could be:
   00:04  4.05  0.15  b5xa4 Ra1xa4 Nf6-d5 Qg4-g7+
   which tells you the following:
   - After 4 seconds the program has found the displayed main line.
   - This main line is found at the fourth ply as fifth possibility
   - This main line is judged by the program with a score of 0.15.
           
If you turn off Show variation (see 7.6), only limited information is displayed.
This enables you to play a game against the program without the help of hint
moves, main lines and scores.

A) If move comment is available for a given move, this comment is displayed.
C) Used to show information by the following functions:
   DAT F5 Game Info.
   POS F1 Program Info.
   POS F1 Data Info.
D) If Teacher is on, the teacher function will display the results here when
   you click in the comment field (or press ALT_T).
E) If moves are found in the opening library, the program will display them
   here (see also 3.1.5).
F) Various (error) messages.
        
Ch. 8: SETTING UP POSITIONS (POS F1)
          
8.1. Set up a position (POS F1)        
With this function, you can insert or remove pieces from the board. 
If you enter this function at the move section, the 12 chess pieces will 
appear on your screen and you can select them with your mouse or keyboard.

SELECTING A PIECE
Mouse users with the left button you select a piece with the right button
you scroll to the next piece in the list.
Keyboard with the spacebar you select the next piece with "+" you change 
the colour of the selected piece.
                     
INSERTING A PIECE
Select a piece as described above.
Mouse users click on the square where you want the selected piece to be placed.
Keyboard select the desired square with the cursor keys. Press ENTER to place
the piece on the square.

REMOVING A PIECE
Mouse users click twice to clear the desired square.
Keyboard press Delete to clear the desired square.
        
When you leave the set-up function, the program will check the new position
according to the chess rules. If a position is illegal, you will be warned.
If you still decide to continue, the program will restore the position 
existing before the position mode was entered.
 
8.2. Make board empty (POS F1)
This function will automatically clear the whole board.
After that, the program jumps to Set up a position and you can insert your
desired position.
           
8.3. Abort set up (POS F1) 
If you decide to cancel the set up, this function will return to the game. If
you still decide to continue, the program will restore the position existing
before the position mode was entered.

8.4. White/black to move (POS F1)
After you have made changes to the board, you can exit the POSITION mode with
one of these 2 functions. You will return to the game, and the colour you have
chosen is at move.


Ch. 9: BOOK FUNCTIONS
 
IMPORTANT
Before you start with all REBEL GOLD book options there are 2 important 
issues you must understand. REBEL GOLD knows TWO book formats:
 	The MVS format.
 	The RBM (text) format.
RBM differs from MVS because RBM is text based and can be changed (printed) 
by any text program. For a good understanding:
- Chapter 9.1 through 9.4 exclusively for RBM files.
- Chapter 9.5 and 9.6 exclusively for MVS files.

9.1  Create opening book from a database
With this function you can make an opening book from a Rebel database. All 
games of the database are exported to a RBM opening book.
This new book you can load immediately with Load User book or edit this book
first with the bookopening editor of REBEL GOLD (see chapter 9.2)
The program will ask for the following data:
Your desired (file)name of the new created opening book.
The (maximum) number of moves exported from every game. In this way you
can limit the depth of the new created book.

HINTS
If you have some quality databases, for instance a database with only 
(grand)master games then you can make some excellent books with Create 
opening book.
If you have some good Player databases, for instance a database with only 
games of Kasparov then you can make an excellent opening book of the Kasparov
playing style and open like Kasparov.
And last but not least you can make an opening book of your own opening 
repertoire!

9.2  The Rebel opening book editor

9.2.1  Preface
The REBEL GOLD opening editor only works with RBM textfiles which files you 
probably just made with Make user book (see ch. 9.1)
The edit process goes as follows, first you load a RBM book into the PC's 
memory with Load user book.
After that you choose Edit userbook.
You now are able to change the loaded book in every way you please by 
deleting variations, adding variations, changing priority of moves or even 
importing games to the book.
As a last step you can save the edited book back to your harddisk by Save 
Userbook.

IMPORTANT
The REBEL GOLD bookeditor ONLY works with a MOUSE.

9.2.2.a  Load Userbook
Here you simply choose the RBM opening book you want to edit. The chosen book 
will be loaded into the PC's memory. 
Choose now Edit Userbook to start the editing. The layout of the screen will
change.
The (big) REBEL button is changed in EXIT. Here you can leave the editor.
Above the move window the quantity of used and free memory is displayed.
Like you are used to, found opening moves are displayed in the INFO window. 
By clicking on the moves you can quickly go to your desired place in the book.
All other game manipulating key functions like PGUP, PGDWN, HOME, END etc. are
also available.
New is the EDIT window below the movelist. This is an exact copy of the moves 
in the INFO window, however HERE is the place to make your changes.
Also new is the SAVE BOOK button. Here you can quickly save the changes you 
have made so far back to your harddisk.

9.2.2.b New Userbook
You will be prompted to enter the filename for the new RBM opening book you 
want to create. The new opening book will contain as the only move 1.e2-e4.

9.2.3  Remove a variation
You simply click on the move in the EDIT window with your RIGHT mouse button.
The move will disappear from the INFO and EDIT window.

IMPORTANT
Be aware that the remaining variation AFTER the deleted move is automatically 
removed too!

9.2.4  Change priority
This is done by clicking on the move in the EDIT window  with your LEFT mouse 
button. The move with a ? will change into a move without a ? and vice versa. 
Rebel will never play moves with a ?.

9.2.5  Add variation
If you want to add a variation you simply click on Insert.


9.2.6  Save user book
By clicking on SAVE BOOK you save the changes you made.

9.2.7  HINT
You can add your own games or (grand)master games very quickly to the 
opening book. This goes as follows:
Click on the L button (=Load Game) and load your game.
Press END, Rebel will go to the last move of the game
Click on Insert and the game has become new theory!

IMPORTANT
Sections 9.1 through 9.4 are based on RBM files
The next 2 sections are based on Rebel MVS files.

9.3  Import external books
With this option you can import opening books of external formats and use 
them in Rebel with Load opening book. 
Choose from the Pulldown menu which type of opening book you want to import.
REBEL GOLD supports the following formats:
   Chessmaster 4000 extension .OBK
   Genius           extension .CGS
   Fritz            extension .FBK
After you have made your choice you will be prompted to enter your desired 
(file)name of the new Rebel book. After that the conversion will start and 
the new book is available with Load opening book.

HINT
Handmade Genius books (extension .BOK) can also be imported however they must
be first renamed to the extension .CGS

9.4  Joining REBEL books
With this powerfull option you are able to join 2 or more MVS opening books 
into one big opening book! 
Do you have for example our external 12.000.000 openingmoves on Bookset VOL1
and VOL2? You can join these books into one big opening book. There is just 
one limitation: your internal memory. In practice this means that if you 
have a PC with 8Mb of Ram you are able to make opening books of 5 to 6 Mb (!!)
This option works as follows:
- Choose from the filemenu the book you want to ADD.
- Next choose the book to INSERT the first selected book.

EXAMPLE
Suppose you want to join the kasparov.mvs and the rebel.mvs main book 
(available in the BOOKS directory) Do the following:
   Choose Join REBEL books
   Select kasparov.mvs (after question "Select to add:")
   Select rebel.mvs (after question "Add to:") 
   Next will appear:
   Add file kasparov.mvs to rebel.mvs?
   Confirm with YES and all moves of kasparov.mvs are inserted in rebel.mvs

REMARK
Take special care about the following, if you make very big books with Join 
REBEL books the response times of the opening moves will slow down. A fast 
harddisk and/or a good diskcaching program is very important for using 
openingbooks greather than 2 Mb.


Ch. 10: REMAINING OPTIONS

10.1. Analysis mode (LEV F2)
This function allows you to analyse a game or a position in a comfortable way by
combining the Infinite level with the Player-Player option. The program will
start evaluating the current position until you decide to enter a move. The
program will execute this move and will start evaluating the new position
immediately. All take back and move forward facilities will remain, so you can
analyse a game without any obstacles.
The REBEL button is now changed into a GAME button. If you click on GAME, the
program will restore the original game  you have loaded or played. This gives
you the opportunity to analyse alternative moves or sub-variations of the game.
So with GAME  you can easily restore the original game without the need to
re-load the game from the database.
You can exit the analysis mode by selecting a new level (see LEV F2).

10.2. Player-Player mode (OPT F3)
Puts the program into sleep mode.
With this function you can enter a range of moves and the computer will not
disturb you with a counter move but the program  will still check your moves
on legality. You can make the program active again by clicking REBEL. 
From this point, the program will start calculating again.

10.3. Automatic play (OPT F3)       
The program will play against itself from the current position. The program 
will continue playing until you interrupt it by clicking on REBEL or by a 
checkmate or a draw.
           
10.4. Analyse game (OPT F3)
With this function you can analyse an entire game or just a part of it. 
You can also select which colour(s) of the game must be analysed 
(white, black or both). The program will start analysing the game at the 
current level and from the current position. 
In this way you can decide from which move on the analysis has to start. 
The REBEL button will change into an EXIT button which will give you the
possibility to abort the analysis.
The analysis results will be stored in the move comment and you can show the
results with the take back and move forward facilities after the analysis has
been finished.
The analysis will be executed in 2 stages. First the real move played in the
game will be analysed, and after that, REBEL GOLD will analyse the position and
give its opinion. If REBEL GOLD finds its move clearly better than the move
played in the game, the program will mark this move by inserting 2 extra "!" 
in the move comment. For a detailed example about the power of this function 
we refer to the README-file.
                   
10.5. Analyse database (OPT F3)
With this function you can analyse an entire (position-based) database which is
especially handy for solving many difficult (test)positions. Every start
position in the currently loaded database will be analysed with regards to the
current level, and the results (last three main lines) will be written into the
move comment. 
The results will not be written in the current database but to a new database
named ANALYSE.DAT. When the analysis is finished, you can load this database and
view the results. The provided databases BT-2450.DAT and BT-2630.DAT are
especially very suitable for this function. The REBEL button has changed into an
EXIT button which will give you the possibility to abort the analysis. 
Keyboard users can press ESC to abort the analysis.

10.6. Goto Move number (OPT F3)
With this function you can jump to any move you wish in a game. You will be
prompted to enter the desired move number. If you enter a number higher than 
the actual number of moves of the game, the program will go to the last move
of the game. If you want to go to the start of the game, enter 0.
           
10.7. Search for move (OPT F3)
This function allows you to go to a move you still remember.
You will be prompted to enter the desired move.The move must be entered in
coordinates, for example e2-e4.  If this move exists in the game, the program
will perform a Goto Move and the desired position will appear.
        
10.8. Replay game (OPT F3)
This function allows you to replay/study a game at three different speeds 
(slow, normal and fast). The program will setup the start position and will
execute all moves at the speed you have chosen. 
You can watch the game and study the moves and move comments.
You can interrupt the replay by pressing the space bar. Pressing the space bar
again will force the program to continue the replay. If you wish to abort the
replay function, press ESC or click on a menu item.

10.9. Write move comments (OPT F3)
With this function, you can simply supply every move with your comments. All
move comments will be written to the hard disk if you save the game. Your move
comments will always be visible in the info section. 
If you do not want to use move comments, you can turn this function off with
the CFG F6-keep-best-line function (see 7.6).

10.10. Remove comments (OPT F3)
The move comments (analysis) will be removed out of all moves of the current
game.

10.11. Game to text file (OPT F3)
With this function, you can write the current game to an ASCII text file
(move comments, names, date etc. included). 
You can read or print the created textfile with your favourite text editor.
REBEL GOLD will prompt you for a legal DOS file name to write the data to.

10.12. Mephisto Board
This PC-program is to be used with the beautiful Mephisto Board which makes
chess-playing against a computer so much more comfortable.
When activating the board in OPT F3 it will automatically search for the
connection with the board. If everything is connected well, you will see that
every LED is checked for a short time. If the connection is not perfect
(no power or no proper connection with the printerport of your PC) a message
is shown and you have to press any key to be able to start playing without
the use of the board. If you solve the problem you have to activate the board
again in the OPTION F3 menu in order to play with the Mephisto Board. 

IMPORTANT !!
============
HOWEVER BE CAREFUL: ALWAYS ENSURE YOUR COMPUTER IS SWITCHED OFF BEFORE
CONNECTING OR DISCONNECTING PERIPHERALS. FAILURE TO DO SO MAY RESULT IN
DAMAGE TO YOUR EQUIPMENT.

After the program has recognized the board it will check the position of the
pieces on the board with the position of the game on the screen of your PC.
Remember that the board cannot recognize WHICH piece is on a square; it can
only recognize whether a square contains a piece or not.

If the position of the Mephisto Board is not equivalent with the game on the
screen you will hear a warning beep and the LED of a square of which the
contents should be changed will blink. As long as you have not corrected the
situation you will hear a beep with every move you make, for after every move
the positions are checked again.

10.12.1   Moving a piece on the Mephisto Board
In order to let the board send the right data to you PC, you have to lift the
piece you want to move from the board and put it on the desired square. 
For the procedure for special moves, like taking a piece, castling etc.: just
follow the official chessrules and it will be executed in the program in the
right way. When you make a mistake with your move (for instance: you forget
to move the castle with the castling) the LEDs of the board will blink. 
This can only be stopped by completing/correcting the move or by press the
ESC-key of your keyboard.
When you make use the ESC-key you will hear a beep with every move you make
until you have made the position of the Mephisto Board equivalent with the
position of the board of the PC-screen.

When the Mephisto advantage moves you can see the move on the Mephisto Board
because the relevant LEDs are blinking. Now you cannot make a move until you
have executed the move of the Mephisto advantage or until you press the
ESC-key of your keyboard. When you make use of the ESC-key you will hear a
beep with every move you make until you have made the position of the
Mephisto Board equivalent with the position of the board of the PC-screen.

When the Mephisto Board is active you can easily take back a move, 
move forward an existing move and start a new game:

TAKE BACK:     Just take the last moved piece back to the original field and
               the program will automatically recognizes this as a regular
               take-back
MOVE FORWARD:  When a game is loaded any you make the move that is the same
               as the move in the loaded game, the program will recognize
               this as a regular move forward. 
               
If you want the program to calculate again press or click REBEL.

NEW GAME:      When you put all the pieces back to the begin position the
               program will recognize this as a new game (ALT_G). 
               This only works when the program is not on the move and
               calculating.

10.12.2 Mephisto Board ON/OFF
With this option you can (de)-activate the Mephisto Board. 
The actual status will be shown in the OPTION F3 menu. 
Clicking on it will activate the board if it's not activated and will
deactivate it when activated. When starting the program it will automatically
search for the connection with the board. If everything ist connected well,
you will see that every LED is checked for a short time. If the connection is
not perfect (no power or no connection with the printerport of your PC) a 
message is shown and you have to press any key to be able to start playing
without the use of the board. If you solve the problem you have to activate
the board with this menu in order to play with the Mephisto Board.

AGAIN !!
========
BE CAREFUL: ALWAYS ENSURE YOUR COMPUTER IS SWITCHED OFF BEFORE CONNECTING OR
DISCONNECTING PERIPHERALS. FAILURE TO DO SO MAY RESULT IN DAMAGE TO YOUR
EQUIPMENT.


10.13. Auto 232 (OPT F3)
This option is especially suited for those who want two programms to play 
against eachother on two computers. You need a special cable for it plus 
software with which no doubt your dealer can supply you. 
The advantage of REBEL is that, when you make two computers play against 
eachother, REBEL saves all the games into the current database including the 
score. During this autoplaying the score is visible and updated and double 
games are skipped automatically! 
Above the move window you will see for instance: 12.0-9.0  10-4-7 (6) meaning:
the score is 12-9 for REBEL, 10 games are won, 4 draw and 7 lost, while 6 
double games are skipped.
       
10.14. Starting game (DAT F5)
This function will restore a game that was active before you decided to change
the current game or before you loaded another game from the database. Very
useful in the following cases:
* If you accidentally started a New Game, this function can restore the
  previous game.
* If you have loaded 2 games from the database and you want to  return
  to the previous one.
                   
10.15. Swapping clocks
Only mouse users have the possibilty to swap the 2 clocks in the time section.
This is executed by clicking in the time section.

10.16. Swapping names
Only mouse users have the possibilty to swap the two names in the names section.
This is executed by clicking in the names section.

10.17. The four clipboards
REBEL GOLD supports FOUR clipboards, where you can save a game or game 
fragment into or load a game from. You can easily switch from one game to 
another. 
You can save to and load games from the clipboards in 3 different ways:
Use [ALT][1] ,[ALT][2], [ALT][3] and [ALT][4] hotkeys for loading and 
[SHIFT][1], [SHIFT][2], [SHIFT][3] and [SHIFT][4] for saving;
Use [1] [2] [3] [4] buttons by the mouse, left button for loading, 
right button for saving;
Load or save game via the pulldown menu DAT F5.
The four clipboards are very suitable for analysing games especially on the 
analyse level, but you can also use it on normal levels.



Ch. 11: Colors (CLR F7)

With this menu you can change almost every item of the screen to your desired
color. (If your graphical-card is not fully VESA-compatible, the colors of 
some items will be connected to eachother meaning that if you change the 
color of one item, the color of some other items will be changed too).

11.1. Set colors
In the appearing pulldownmenu you can select an item, for instance the 
comment section, and the quantity red, green and blue will be shown
automatically. With the mouse you can mix your new color. The cursor user has
to use the left arrow to enter the palette and the up and down arrows to 
select a basiccolor. Accordingly with the "-" and "+" cursor the quantity of 
that basic color can be defined.  

11.2. Reset colors (CLR F7)
This will reset the colors to the configuration you had before you entered the
color option, unless you selected in the meantime "Save colors".

11.3. Save colors (CLR F7)
By choosing this option the new colors will be saved into the REBEL.CLR-file.

11.4. Load colors (CLR F7)
With this option you can load an other color palette.

11.5. Standard  colors (CLR F7)
This resets all colors to the standard values as are programmed in the 
program itself.


Ch. 12: Trouble-shooting
   
12.1. AUTOEXEC.BAT problems
Some AUTOEXEC.BAT commands can disturb the correct functioning of REBEL GOLD.
The most important is the MODE instruction.
If you have problems with loading or running REBEL GOLD, we suggest removing
these lines in your AUTOEXEC.BAT file.
        
12.2. Missing files
If one of the following files is missing in the installed REBEL GOLD
directory, the program will not function:
 REBEL.TRL, 
 REBEL.GIF, 
 BOOK.TRL,
 BOOK.TRX, 
 REBEL.PCS.
Restore the missing file(s) from your floppy-disk.

Ch. 13: SHORT HISTORY

Ed Schrder, born in The Hague, lives in Deventer and has been commercially
active with developing computer chess software since 1985. Since 1988, Ed has
been ranked amongst the best computer chess programmers in the world. Proof of
that was his victory in Vancouver 1991 where he, for the first time, became the
worldchampion in the category Microcomputers.
The following year, in Madrid, an improved version of his program was even able
to win the world champion title in all classes.
This performance was unique: it was the first time that a micro-computer program
had won this title. In the past, this title was always won by a mainframe
computer. This was not only a confirmation of Ed's qualities, but also a proof
that today's commercial chess programs are able to beat their bigger and
super-fast brothers.
Ed has also won the Dutch Championship for chess programs many times. 

While creating REBEL GOLD, Ed was assisted by two other specialists,
Jeroen Noomen, who was (and, indeed for many years previously, has been) 
responsible for the openingbooks of Ed Schrder's programs, and Rob Kemper, 
who was responsible for the graphics and the IO.
        
Personally, Ed does not believe that a computer will ever beat the
human world champion in a match at tournament level, although... even
he is not so sure about that anymore!
In any event, Ed is still convinced that his program can perform still
better since he has enough ideas left with which to improve his program.
     
If you are interested in the latest developments on PC computer
chess, or if you have suggestions that can improve the program, we
invite you to drop us a line!

Please write it to:

  Schrder BV
  P.O. Box 6365
  7401 JJ Deventer
  The Netherlands

or visit our homepage on Internet for the most recent developments:
http://www.xs4all.nl/~rebchess/ 	(de REBEL homepage)

 
Copyright manual:
E.G.H. Schrder BV
P.O. Box 6365
NL 7401 JJ Deventer
The Netherlands

